#
# spec file for package perl-Time-modules
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Time-modules
Version:        2011.0517
Release:        lp151.2.1
Url:            http://www.cpan.org/modules/by-module/Time/
Summary:        Various Perl time modules
License:        SUSE-Permissive
Group:          Development/Libraries/Perl
Source:         Time-modules-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
# MANUAL
BuildRequires:  timezone

%description
Perl modules providing various time functions.

%prep
%setup -n Time-modules-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGELOG README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Time/
%{perl_vendorarch}/auto/Time-modules/

%changelog
* Mon Nov  5 2012 coolo@suse.com
- explicit buildequire timezone for the test suite
* Wed May 16 2012 cfarrell@suse.com
- license update: SUSE-Permissive
  Choose a license from the list linked at license.opensuse.org
* Wed May 18 2011 vcizek@novell.com
- update to 2011.0517
  Bugfix from Sophie Hamilton: call tzset() when changing timezones.
  Bugfix: bail out of tests cleanly when tzset doesn't work.
- license changed
* Fri May 13 2011 vcizek@novell.com
- update to 2011.0505
  Bugfix: make sure $ampm is defined so no undefined string warnings
  are issued.
  Honor the GMT flag when parsing time specs.  Patch from
  kris at shannon.id.au.
  Bugfix: RT#31477 noon & midnight would match in the middle of strings.
  Added %%v conversion for Time::CTime
  Added tests to disprove invalid bug reports.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Sep 13 2006 anicka@suse.cz
- update to 2006.0814
  * A bugfix for negative offsets that overflowed
  * Add a few more timezones
  * Recognize fractional times counts like "1.5 minutes ago"
  * Recognize Dow "before last"
  * Change various __DATA__ to __END__
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 26 2004 mjancar@suse.cz
- update to 2003.1126
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 mjancar@suse.cz
- update to 2003.0211
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Fri Dec 27 2002 prehak@suse.cz
- updated to version 2002.1001
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Jun 28 2002 prehak@suse.cz
- new package perl-Time-modules version 101.062101
